const { defineConfig } = require('cypress')

module.exports = defineConfig({
  projectId: 'RVEZS1',
  watchForFileChanges: false,
  video: false,
  viewportWidth: 1280,
  viewportHeight: 720,
  retries: {
    runMode: 1,
    openMode: 0,
  },
  reporter: 'junit',
  reporterOptions: {
    mochaFile: 'cypress/test-reports/cypress-results-[hash].xml',
    toConsole: true,
  },
  e2e: {
    // experimentalSessionAndOrigin: true,
    // We've imported your old cypress plugins here.
    // You may want to clean this up later by importing these.
    setupNodeEvents(on, config) {
      return require('./cypress/plugins/index.js')(on, config)
    },
    baseUrl: 'http://localhost:8001',
  },
})
